<?php 
//incluir la conexion de base de datos
require "../config/Conexion.php";
class VentaBoleto{


	//implementamos nuestro constructor
public function __construct(){

}


//metodo insertar registro
public function insertar($idcliente,$idusuario,$tipo_comprobante,$serie_comprobante,
	$num_comprobante,$fecha_hora,$impuesto,$total_venta,$idarticulob,$nroboletob,
	$pasajerob,$cantidadb,$porcentajeb,$precio_ventab,$dataart,$montob,$impuestob)
	{
	$sql="INSERT INTO venta (idcliente,idusuario,tipo_comprobante,serie_comprobante,num_comprobante,
	fecha_hora,impuesto,total_venta,estado) 
	VALUES ('$idcliente','$idusuario','$tipo_comprobante','$serie_comprobante',
	'$num_comprobante','$fecha_hora','$impuesto','$total_venta','Pendiente')";
	//return ejecutarConsulta($sql);
	//echo $sql;
	
	 $idventanew=ejecutarConsulta_retornarID($sql);
//	 $idventanew=25;
	 $num_elementos=0; 
	 $sw=true;
	 while ($num_elementos < count($idarticulob)) {
		//echo $dataart[$num_elementos];
		$data1 = explode(";",$dataart[$num_elementos]);
		//echo $data1;
		//descuento+';'+identificador+';'+nrolinea+';'+ruta+';'+rif+';'+tipoimpuesto+';'+nombrelinea;
		$descuentob		=$data1[0];
		$identificadorb	=$data1[1];
		$nrolineab		=$data1[2];
		$rutab			=$data1[3];
		$rifb			=$data1[4];
		$tipoimpuestob	=$data1[5];
		$nombrelinea	=$data1[6];
		$precio_ventabb	=$precio_ventab[$num_elementos];
		if ($porcentajeb[$num_elementos]>0){
			$precio_ventabb=$montob[$num_elementos];
		}
		$sql_detalle="INSERT INTO detalle_venta (idventa,idarticulo,cantidad,precio_venta,descuento,
		porcentaje,identificador,nrolinea,nroboleto,pasajero,ruta,linea,rif,impuestob,tipoimpuesto,
		montoart) 
		VALUES('$idventanew','$idarticulob[$num_elementos]','$cantidadb[$num_elementos]','$precio_ventabb',
		'$descuentob','$porcentajeb[$num_elementos]','$identificadorb','$nrolineab','$nroboletob[$num_elementos]',
		'$pasajerob[$num_elementos]','$rutab','$nombrelinea','$rifb','$impuestob[$num_elementos]','$tipoimpuestob',
		'$montob[$num_elementos]')";
			 
		//echo $sql_detalle;
	 	ejecutarConsulta($sql_detalle) or $sw=false;
	 	$num_elementos=$num_elementos+1;
	 }
	if ($sw) {
		$idempresa_venta = $_SESSION['idempresa_venta_empresa'];
		$nrofactura=$num_comprobante + 1;
		$nrocontrol=$serie_comprobante + 1;
		 $sql_update="UPDATE empresa_venta SET nrofactura='$nrofactura',nrocontrol='$nrocontrol'
		 WHERE idempresa_venta='$idempresa_venta'";
	//	echo $sql_update;
		ejecutarConsulta($sql_update);  
	}
	 return $sw;
}

public function anular($idventa){
	$sql="UPDATE venta SET estado='Anulado' WHERE idventa='$idventa'";
	return ejecutarConsulta($sql);
}


//implementar un metodopara mostrar los datos de unregistro a modificar
public function mostrar($idventa){
	$sql="SELECT v.idventa,DATE(v.fecha_hora) as fecha,v.idcliente,p.nombre as cliente,u.idusuario,u.nombre as usuario, v.tipo_comprobante,v.serie_comprobante,v.num_comprobante,v.total_venta,v.impuesto,v.estado FROM venta v INNER JOIN persona p ON v.idcliente=p.idpersona INNER JOIN usuario u ON v.idusuario=u.idusuario WHERE idventa='$idventa'";
	return ejecutarConsultaSimpleFila($sql);
}

public function listarDetalle($idventa){
	$sql="SELECT a.nombre AS articulo, a.codigo, a.tipo, d.cantidad,d.precio_venta,d.descuento,d.porcentaje,d.identificador,d.nrolinea,d.nroboleto,d.pasajero,d.ruta,d.linea,d.rif,d.impuestob,d.tipoimpuesto,d.montoart as subtotal FROM detalle_venta d INNER JOIN articulo a ON d.idarticulo=a.idarticulo WHERE d.idventa='$idventa'";
	return ejecutarConsulta($sql);
}

//listar registros
public function listar(){
	$sql="SELECT v.idventa,DATE(v.fecha_hora) as fecha,v.idcliente,p.nombre as cliente,u.idusuario,u.nombre as usuario, v.tipo_comprobante,v.serie_comprobante,v.num_comprobante,v.total_venta,v.impuesto,v.estado FROM venta v INNER JOIN persona p ON v.idcliente=p.idpersona INNER JOIN usuario u ON v.idusuario=u.idusuario ORDER BY v.idventa DESC";
	return ejecutarConsulta($sql);
}


public function ventacabecera($idventa){
	$sql= "SELECT v.idventa, v.idcliente, p.nombre AS cliente, p.direccion, p.tipo_documento, p.num_documento, p.email, p.telefono, v.idusuario, u.nombre AS usuario, v.tipo_comprobante, v.serie_comprobante as nrocontrol, v.num_comprobante as nrofactura, DATE(v.fecha_hora) AS fecha, v.impuesto, v.total_venta FROM venta v INNER JOIN persona p ON v.idcliente=p.idpersona INNER JOIN usuario u ON v.idusuario=u.idusuario WHERE v.idventa='$idventa'";
	return ejecutarConsulta($sql);
}

public function ventadetalles($idventa){
//	$sql="SELECT a.nombre AS articulo, a.codigo, d.cantidad, d.precio_venta, d.descuento, (d.cantidad*d.precio_venta-d.descuento) AS subtotal FROM detalle_venta d INNER JOIN articulo a ON d.idarticulo=a.idarticulo WHERE d.idventa='$idventa'";
$sql="SELECT a.nombre AS articulo, a.codigo, a.tipo, d.cantidad,d.precio_venta,d.descuento,d.porcentaje,d.identificador,d.nrolinea,d.nroboleto,d.pasajero,d.ruta,d.linea,d.rif,d.impuestob,d.tipoimpuesto,d.montoart as subtotal FROM detalle_venta d INNER JOIN articulo a ON d.idarticulo=a.idarticulo WHERE d.idventa='$idventa'";
return ejecutarConsulta($sql);
}


}

 ?>
